std_mutex.h File Reference

Go to the source code of this file.

## Classes

struct | std::adopt_lock_t
struct | std::defer_lock_t
class | std::lock_guard< _Mutex >
class | std::mutex
struct | std::try_to_lock_t
class | std::unique_lock< _Mutex >

## Namespaces

| std

## Functions

template<typename _Mutex >
void | std::swap (unique_lock< _Mutex > &__x, unique_lock< _Mutex > &__y) noexcept

## Variables

constexpr adopt_lock_t | std::adopt_lock
constexpr defer_lock_t | std::defer_lock
constexpr try_to_lock_t | std::try_to_lock

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <mutex>.

Definition in file std_mutex.h.